org.eclipse.rdf4j.workbench.base

## Class TransformationServlet

- java.lang.Object
- - org.eclipse.rdf4j.workbench.base.AbstractServlet
  - - org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet
    - - org.eclipse.rdf4j.workbench.base.TransformationServlet

- All Implemented Interfaces:
    javax.servlet.Servlet, RepositoryServlet
  Direct Known Subclasses:
    AddServlet, ClearServlet, CreateServlet, DeleteServlet, InformationServlet, InfoServlet, NamespacesServlet, QueryServlet, RemoveServlet, RepositoriesServlet, SavedQueriesServlet, SummaryServlet, TupleServlet, UpdateServlet

      public abstract class TransformationServlet
      extends AbstractRepositoryServlet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONTEXT`
    `protected CookieHandler` | `cookies`
    `protected static String` | `INFO`
    `protected static ParserConfig` | `NON_VERIFYING_PARSER_CONFIG`

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet

      `info, manager, MANAGER_PARAM, repository, REPOSITORY_PARAM, vf`

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.AbstractServlet

      `ACCEPT, appConfig, APPLICATION_JAVASCRIPT, APPLICATION_SPARQL_RESULTS_XML, APPLICATION_XML, config, DEFAULT_JSONP_CALLBACK_PARAMETER, JSONP_CALLBACK_PARAMETER, JSONP_ENABLED, JSONP_VALIDATOR, log, MOZILLA, MSIE, SERVER_PASSWORD, SERVER_USER, SERVER_USER_PASSWORD, TEXT_HTML, TEXT_PLAIN, USER_AGENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformationServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doPost(WorkbenchRequest wreq, javax.servlet.http.HttpServletResponse resp, String xslPath)`
    `String[]` | `getCookieNames()`
    `void` | `init(javax.servlet.ServletConfig config)`
    `void` | `service(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
    `protected void` | `service(TupleResultBuilder writer, String xslPath)`
    `protected void` | `service(WorkbenchRequest req, javax.servlet.http.HttpServletResponse resp, String xslPath)`

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet

      `setRepository, setRepositoryInfo, setRepositoryManager`

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.AbstractServlet

      `checkJSONP, destroy, getBooleanResultFormat, getJSONPResultFormat, getResultWriter, getServletConfig, getServletInfo, getTupleResultBuilder, getTupleResultFormat, service`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.Servlet

      `destroy, getServletConfig, getServletInfo, service`

- - ### Field Detail

    - #### NON_VERIFYING_PARSER_CONFIG

          protected static final ParserConfig NON_VERIFYING_PARSER_CONFIG

    - #### CONTEXT

          public static final String CONTEXT

      See Also:
        Constant Field Values

    - #### INFO

          protected static final String INFO

      See Also:
        Constant Field Values

    - #### cookies

          protected CookieHandler cookies

  - ### Constructor Detail

    - #### TransformationServlet

          public TransformationServlet()

  - ### Method Detail

    - #### init

          public void init(javax.servlet.ServletConfig config)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Servlet`
      Overrides:
        `init` in class `AbstractRepositoryServlet`
      Throws:
        `javax.servlet.ServletException`

    - #### getCookieNames

          public String[] getCookieNames()

    - #### service

          public void service(javax.servlet.http.HttpServletRequest req,
                              javax.servlet.http.HttpServletResponse resp)
                       throws javax.servlet.ServletException,
                              IOException

      Overrides:
        `service` in class `AbstractServlet`
      Throws:
        `javax.servlet.ServletException`
        `IOException`

    - #### doPost

          protected void doPost(WorkbenchRequest wreq,
                                javax.servlet.http.HttpServletResponse resp,
                                String xslPath)
                         throws Exception

      Throws:
        `Exception`

    - #### service

          protected void service(WorkbenchRequest req,
                                 javax.servlet.http.HttpServletResponse resp,
                                 String xslPath)
                          throws Exception

      Throws:
        `Exception`

    - #### service

          protected void service(TupleResultBuilder writer,
                                 String xslPath)
                          throws Exception

      Throws:
        `Exception`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.